curl --request GET \
--url https://api.cashful.africa/api/canary/customers/{id}/transactions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "txn_001",
"customerId": "customer_789",
"type": "credit",
"amount": 1000,
"currency": "ZAR",
"description": "Checkout session completed",
"relatedEntityId": "checkout_sess_123",
"relatedEntityType": "CheckoutSession",
"balanceAfter": 5000,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
},
{
"id": "txn_002",
"customerId": "customer_789",
"type": "purchase",
"amount": -50,
"currency": "ZAR",
"description": "Purchase of Airtime",
"relatedEntityId": "purchase_001",
"relatedEntityType": "Purchase",
"balanceAfter": 4950,
"createdAt": "2025-01-15T11:00:00.000Z",
"updatedAt": "2025-01-15T11:00:00.000Z"
}
],
"pagination": {
"limit": 50,
"offset": 0,
"total": 25,
"hasMore": false
}
}Retrieves the full transaction history for a customer’s cash balance
curl --request GET \
--url https://api.cashful.africa/api/canary/customers/{id}/transactions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "txn_001",
"customerId": "customer_789",
"type": "credit",
"amount": 1000,
"currency": "ZAR",
"description": "Checkout session completed",
"relatedEntityId": "checkout_sess_123",
"relatedEntityType": "CheckoutSession",
"balanceAfter": 5000,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
},
{
"id": "txn_002",
"customerId": "customer_789",
"type": "purchase",
"amount": -50,
"currency": "ZAR",
"description": "Purchase of Airtime",
"relatedEntityId": "purchase_001",
"relatedEntityType": "Purchase",
"balanceAfter": 4950,
"createdAt": "2025-01-15T11:00:00.000Z",
"updatedAt": "2025-01-15T11:00:00.000Z"
}
],
"pagination": {
"limit": 50,
"offset": 0,
"total": 25,
"hasMore": false
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the customer
Maximum number of records to return
Number of records to skip